> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization Member



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json put /api/organization/{organization_id}/member/{member_id}
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/organization/{organization_id}/member/{member_id}:
    put:
      tags:
        - Organization Members
      summary: Update Organization Member
      operationId: >-
        update_organization_member_api_organization__organization_id__member__member_id__put
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: member_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Member Id
        - name: resource_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Resource Id
        - name: source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Source Id
        - name: integration_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Integration Source Id
        - name: data_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Data Source Id
        - name: context_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Source Id
        - name: job_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Job Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationMemberUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationMemberResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationMemberUpdate:
      properties:
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        role:
          $ref: '#/components/schemas/OrganizationMemberRole'
          default: ANALYST
      type: object
      title: OrganizationMemberUpdate
    OrganizationMemberResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        user_id:
          type: string
          format: uuid
          title: User Id
        role:
          $ref: '#/components/schemas/OrganizationMemberRole'
        membership_state:
          $ref: '#/components/schemas/OrganizationMembershipState'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        user:
          anyOf:
            - $ref: '#/components/schemas/UserResponse'
            - type: 'null'
      type: object
      required:
        - id
        - organization_id
        - user_id
        - role
        - membership_state
        - created_at
        - updated_at
      title: OrganizationMemberResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrganizationMemberRole:
      type: string
      enum:
        - SYSTEM_ADMIN
        - ORGANIZATION_ADMIN
        - ANALYST
      title: OrganizationMemberRole
    OrganizationMembershipState:
      type: string
      enum:
        - active
        - pending
        - suspended
      title: OrganizationMembershipState
    UserResponse:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        given_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Name
        family_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Family Name
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        auth0_sub:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth0 Sub
        id:
          type: string
          format: uuid
          title: Id
        is_system_admin:
          type: boolean
          title: Is System Admin
          default: false
      type: object
      required:
        - id
      title: UserResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````